Deanonymize an anonymous user with SMS OTP
POST/user/deanonymize/sms
POST
/user/deanonymize/sms
Convert an anonymous user to a regular user by adding a phone number. A one-time password is sent to the
phone number; the user completes verification by calling /signin/passwordless/sms/otp with the OTP, which
marks the phone number as verified and returns a session.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Phone number and optional user options used to stage deanonymization pending OTP verification
object
phoneNumber
required
Phone number of the user
string
Example
+123456789options
object
allowedRoles
Array<string>
Example
[ "me", "user"]defaultRole
string
Example
userdisplayName
string
Example
John Smithlocale
A two or three characters locale
string
Example
enmetadata
object
key
additional properties
any
Example
{ "firstName": "John", "lastName": "Smith"}redirectTo
string format: uri
Example
https://my-app.com/catch-redirectionResponses
Section titled “Responses”OTP sent to the phone number and the deanonymization change is pending verification. The user remains anonymous until the OTP is verified
string
default
Section titled “default”An error occurred while processing the request
Standardized error response
object
status
required
HTTP status error code
integer
Example
400message
required
Human-friendly error message
string
Example
Invalid email formaterror
required
Error code identifying the specific application error
string